org.apache.tools.ant.taskdefs.optional.depend.constantpool

## Class ConstantCPInfo

- java.lang.Object
- - org.apache.tools.ant.taskdefs.optional.depend.constantpool.ConstantPoolEntry
  - - org.apache.tools.ant.taskdefs.optional.depend.constantpool.ConstantCPInfo

- Direct Known Subclasses:
    DoubleCPInfo, FloatCPInfo, IntegerCPInfo, InvokeDynamicCPInfo, LongCPInfo, MethodTypeCPInfo, ModuleCPInfo, PackageCPInfo, StringCPInfo

      public abstract class ConstantCPInfo
      extends ConstantPoolEntry

  A Constant Pool entry which represents a constant value.

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.taskdefs.optional.depend.constantpool.ConstantPoolEntry

      `CONSTANT_CLASS, CONSTANT_DOUBLE, CONSTANT_FIELDREF, CONSTANT_FLOAT, CONSTANT_INTEGER, CONSTANT_INTERFACEMETHODREF, CONSTANT_INVOKEDYNAMIC, CONSTANT_LONG, CONSTANT_METHODHANDLE, CONSTANT_METHODREF, CONSTANT_METHODTYPE, CONSTANT_MODULEINFO, CONSTANT_NAMEANDTYPE, CONSTANT_PACKAGEINFO, CONSTANT_STRING, CONSTANT_UTF8`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ConstantCPInfo(int tagValue, int entries)` Initialise the constant entry.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getValue()` Get the value of the constant.
    `void` | `setValue(java.lang.Object newValue)` Set the constant value.

    - ### Methods inherited from class org.apache.tools.ant.taskdefs.optional.depend.constantpool.ConstantPoolEntry

      `getNumEntries, getTag, isResolved, read, readEntry, resolve`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstantCPInfo

          protected ConstantCPInfo(int tagValue,
                                   int entries)

      Initialise the constant entry.
      Parameters:
        `tagValue` - the constant pool entry type to be used.
        `entries` - the number of constant pool entry slots occupied by this entry.

  - ### Method Detail

    - #### getValue

          public java.lang.Object getValue()

      Get the value of the constant.
      Returns:
        the value of the constant (untyped).

    - #### setValue

          public void setValue(java.lang.Object newValue)

      Set the constant value.
      Parameters:
        `newValue` - the new untyped value of this constant.